## org.plovr
Class SoyFile

    java.lang.Object
      org.plovr.AbstractJsInput
          org.plovr.LocalFileJsInput
              org.plovr.SoyFile

All Implemented Interfaces:
  com.google.javascript.jscomp.SourceFile.Generator, JsInput

    public class SoyFile

extends LocalFileJsInput

`JsSourceFile` represents a Soy file.

Author:
  bolinfest@gmail.com (Michael Bolin)

Nested Class Summary

Nested classes/interfaces inherited from interface org.plovr.JsInput
`JsInput.CodeWithEtag`

Field Summary

Fields inherited from class org.plovr.AbstractJsInput
`provides, requires`

Method Summary
`static com.google.inject.Injector` `createInjector(java.util.List<java.lang.String> pluginModuleNames)`
`java.lang.String` `getCode()`
`java.lang.String` `getTemplateCode()`
`boolean` `isSoyFile()`

Methods inherited from class org.plovr.LocalFileJsInput
`equals, getSource, hashCode, hasInputChanged`

Methods inherited from class org.plovr.AbstractJsInput
`calculateEtagFor, getCodeWithEtag, getName, getProvides, getRequires, processProvidesAndRequires, supportsEtags, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getCode

    public java.lang.String getCode()

  Specified by:
    `getCode` in interface `com.google.javascript.jscomp.SourceFile.Generator`
  Specified by:
    `getCode` in interface `JsInput`
  Specified by:
    `getCode` in class `AbstractJsInput`
  Returns:
    JavaScript code

### isSoyFile

    public boolean isSoyFile()

  Specified by:
    `isSoyFile` in interface `JsInput`
  Overrides:
    `isSoyFile` in class `AbstractJsInput`
  Returns:
    a boolean indicating whether this is a Soy file. If true, then `JsInput.getTemplateCode()` must return the original Soy content.

### getTemplateCode

    public java.lang.String getTemplateCode()

  Specified by:
    `getTemplateCode` in interface `JsInput`
  Overrides:
    `getTemplateCode` in class `AbstractJsInput`
  Returns:
    the underlying template code if this is a Soy file

### createInjector

    public static com.google.inject.Injector createInjector(java.util.List<java.lang.String> pluginModuleNames)